﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
	</title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="100%" align="center" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="146" align="left" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="left" valign="top" background="images/xeug_01bg.jpg">
			<table width="100%" height="146" style="background-image: url(images/xeug_01.jpg);background-repeat: no-repeat;background-position: left top;" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td height="54" colspan="2" align="left" valign="top"><img src="images/space.gif" width="321" height="54" /></td>
              </tr>
              <tr>
                <td width="110" align="left" valign="top"><img src="images/space.gif" width="110" height="30" /></td>
              <td width="100%" align="left" style="padding-left:15px;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td width="45" rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                  <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                </tr>
                <tr>
                  <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                </tr>
              </table></td>
              </tr>
            </table></td>
            <td width="459" align="right" valign="top"><img src="images/xeug_02.jpg" width="459" height="146" /></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="60" align="left" valign="top" background="images/xeug_02bg.jpg">
		  <table width="100%" height="60" style="background-image: url(images/xeug_02s.jpg);background-repeat: no-repeat;background-position: left top;"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="60" align="left" valign="top" style="background-image: url(images/xeug_03.jpg);background-repeat: no-repeat;background-position: right top;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="100"><img src="images/space.gif" width="100" height="30" /></td>
              <td align="center"><table  border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <xsl:call-template name="TOP-MENU"/>
                  </tr>
              </table></td>
                <td width="100"><img src="images/space.gif" width="100" height="30" /></td>
              </tr>
              <tr>
                <td height="10" colspan="3"></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="100%" align="left" valign="top" background="images/bg.gif"><table width="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="462" align="left" valign="top" background="images/xeug_06.jpg"><img src="images/header.jpg" width="462" height="336" /></td>
            <td width="100%"></td>
            <td width="318" align="right" valign="top" background="images/xeug_07.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td height="34"><img src="images/xeug_05_01.gif" width="318" height="34" /></td>
              </tr>
              <tr>
                <td align="left" valign="top" background="images/xeug_05_03.gif">
				<table width="100%" border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td align="left" valign="top" style="background-image: url(images/xeug_05_05.gif);background-repeat: no-repeat;background-position: left bottom;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="80"><img src="images/space.gif" width="80" height="200" /></td>
                        <td align="center" valign="top"><table width="143" border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td><img src="images/space.gif" width="80" height="40" /></td>
                          </tr>
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                          <tr>
                            <td height="100" class="smenu"><img src="images/space.gif" width="80" height="80" /></td>
                          </tr>
                        </table></td>
                        <td width="50"><img src="images/space.gif" width="50" height="100" /></td>
                      </tr>
                    </table></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="100%" align="left" valign="top" background="images/bg.gif"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="300" align="left" valign="top" style="background-image: url(images/xeug_06.jpg);background-repeat: repeat-y;background-position: left top;"><img src="images/space.gif" width="300" height="40" /></td>
            <td height="100%" align="left" valign="top" style="background-image: url(images/xeug_07.gif);background-repeat: repeat-y;background-position: right top;"><table  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                <td valign="top"><img src="images/text_icon.gif" width="18" height="17" /></td>
              </tr>
            </table>
              <br />
              <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
                <td width="120" align="right" class="pageContent"><img src="images/space.gif" width="120" height="30" /></td>
                </tr>
              </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="178" align="left" valign="top" background="images/xeug_08bg.gif">
		  <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="100%" align="left" valign="top" style="background-image: url(images/xeug_08.jpg);background-repeat: repeat-y;background-position: left top;">
			<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td height="100%" align="left" valign="top" style="background-image: url(images/xeug_09.jpg);background-repeat: repeat-y;background-position: right top;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                  <tr>
                    <td height="36"><img src="images/space.gif" width="10" height="36" /></td>
                  </tr>
                  <tr>
                    <td height="100%"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="330"><img src="images/space.gif" width="330" height="30" /></td>
                        <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
                        <td width="260"><img src="images/space.gif" width="260" height="30" /></td>
                      </tr>
                    </table></td>
                  </tr>
                  <tr>
                    <td height="80"><img src="images/space.gif" width="10" height="80" /></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>
</BODY>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
	<tr>
<td class="smenu" height="23"><span class="smenub">
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
<td><img src="images/subicon.gif" width="8" height="3" /></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	<tr>
<td class="smenu" height="23">
<a href="{@HREF}" class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
<td><img src="images/subicon.gif" width="8" height="3" /></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr align="center">
<td colspan="2"></td>
</tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		<td class="bmenu"><a href="{@HREF}" class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td class="bmenu"><span class="bmenub"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
           </xsl:when>
           <xsl:otherwise>
		<td class="bmenu"><a href="{@HREF}" class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>

<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
