<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body marginheight="0" marginwidth="0" topmargin="0" rightmargin="0" bottommargin="0" leftmargin="0"  background="images/ybg.gif">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" background="images/ybg.gif">
  <tr>
    <td width="55"><img src="images/001.gif" width="55" height="70"/></td>
    <td width="100%" height="70"></td>
    <td width="55"><img src="images/001.gif" width="55" height="70"/></td>
  </tr>
  <tr>
    <td rowspan="4"></td>
    <td height="43" background="images/bg.gif" style="background-repeat:repeat-x;">
	<!-- MENU -->
	<table border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td width="20"></td>
        <xsl:call-template name="TOP-MENU"/>
        <td width="10"></td>
      </tr>
    </table>
	<!-- END MENU -->
	</td>
    <td rowspan="3"></td>
  </tr>
  <tr>
    <td height="1" background="images/002.gif" ></td>
  </tr>
  <tr>
    <td height="160" valign="top"  width="100%"><table width="100%" height="168" border="0" cellpadding="0" cellspacing="0" >
      <tr>
        <td height="160" bgcolor="#FFFFFF" style="border: 4px solid #FFFFFF;"><div align="center"><img src="images/headers.jpg" width="472" height="160"/></div></td>
        <td width="1" background="images/002.gif" style="background-repeat:repeat-y;"><img src="images/002.gif" width="1" height="1"/></td>
        <td width="180" align="center" background="images/logo-bg.gif" style="border: 4px solid #FFFFFF;">
		 <!-- LOGO -->
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td style="padding-bottom:7px "><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
          </tr>
          <tr>
            <td class="company"><div align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
          </tr>
          <tr>
            <td class="slogan"><div align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
          </tr>
        </table>
		 <img src="images/space.gif" width="180" height="2" />		 <!-- END LOGO -->
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td width="100%" height="100%"  valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="100%" height="100%"  valign="top" bgcolor="#FFFFFF" style="padding:20px; border-right-width: 1px;
	border-right-style: solid;
	border-right-color: #d0d0d0;
	border-top-width: 1px;
	border-bottom-width: 1px;
	border-top-style: solid;
	border-bottom-style: solid;
	border-top-color: #d0d0d0;
	border-bottom-color: #d0d0d0;"><!-- CONTENT -->
          <table  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
              <td style="padding-left:10px;padding-bottom:2px;"><img src="images/txtheader_bullet.gif" width="17" height="17"/></td>
            </tr>
          </table>
		  <br/>
          <table  width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td valign="top" class="pageContent" name="SB_stretch" width="100%" height="100%" ><xsl:apply-templates select="PAGE-CONTENT"/> </td>
            </tr>
          </table>
          <!-- END CONTENT --></td>
        <td width="45" height="1" background="images/003.gif" style="background-repeat:repeat-y"><img src="images/space.gif" width="1" height="2" />		</td>
        <td width="188" valign="top" >
		<table width="180" valign="top" >
		<tr>
		<td>
		 <img src="images/space.gif" width="181" height="5" />		
		<table width="140" border="0" cellspacing="0" cellpadding="0" style="padding:20px;">
          <tr>
            <td valign="top">
			<!-- SUBMENU -->
			<table width="128" border="0" align="center" cellpadding="0" cellspacing="0">
                <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
            </table><!-- END SUBMENU --></td>
          </tr>
        </table>
		
		</td>
		</tr>
		</table>
		
		
		
		
		
		
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td></td>
    <td height="1" background="images/003.gif" style="background-repeat:repeat-x;"></td>
    <td></td>
  </tr>
  <tr>
    <td></td>
    <td height="50">
	<table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <!-- BOTTOM MENU --><table border="0" cellspacing="0" cellpadding="0" align="center">
          <tr>
            <td width="10"></td>
            
             <xsl:call-template name="BOTTOM-MENU"/>
            
           
            <td width="10"></td>
          </tr>
        </table><!-- END BOTTOM MENU -->
      </tr>
      
    </table></td>
    <td></td>
  </tr>
</table>

</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >



<tr>
<td class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
<td width="7" class="001"><img src="images/submenu_bullet.gif" width="7" height="7"/></td>
</tr>



		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">



<tr>
                  <td class="asubmenu"><a href='{@HREF}' class="asubmenu">
				  <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
				  </a> </td>
                  <td width="7" class="001"><img src="images/submenu_bullet.gif" width="7" height="7"/></td>
                </tr>		
		
		
					
 
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

 
<tr>
<td colspan="2" height="5"></td>
</tr>
<tr>
<td colspan="2"><img src="images/004.gif" width="128" height="8"/></td>
</tr>
<tr>
<td colspan="2" height="10"></td>
</tr>


	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >



<td class="abmenu"><div align="center"><a href='{@HREF}'  class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </div></td>
	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
 

<td class="bmenu"><div align="center"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div></td>
           </xsl:when>
           <xsl:otherwise>


<td class="abmenu"><div align="center"><a href='{@HREF}'  class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </div></td>
	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

<td width="10"></td>
			 <td width="12"><img src="images/bmenu_separator.gif" width="12" height="12"/></td>
			  <td width="10"></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
