<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="125" background="images/xsk_02.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="100%" style="background-image: url(images/xsk_01.jpg);
	background-repeat: no-repeat;
	background-position: left; padding-left: 40px;">
<!-- END LOGO -->
	<table width="350" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="57" rowspan="2" valign="top"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
            <td width="293" class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table>
<!-- END LOGO -->
		</td>
        <td width="108" align="right"><img src="images/xsk_03.jpg" width="108" height="125" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="97" align="left" background="images/bg.gif"><img src="images/xsk_04.jpg" width="97" height="52" alt="" /></td>
        <td width="815" align="center" background="images/xsk_05.jpg">
<!-- END MENU -->
		<table border="0" cellspacing="0" cellpadding="0">
          <tr>
		   <xsl:call-template name="TOP-MENU"/>
          </tr>
        </table>
<!-- END MENU -->
		</td>
        <td width="81" align="right" background="images/bg.gif"><img src="images/xsk_06.jpg" width="81" height="52" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%" valign="top" background="images/xsk_34.jpg"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="296" valign="top" background="images/xsk_18.jpg"><table width="296" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="296"><img src="images/header.jpg" width="296" height="215" alt="" /></td>
          </tr>
          <tr>
            <td align="right" style="padding-right: 30px;">
			<br/>
	<!-- END SUBMENU -->
			<table width="170" border="0" cellspacing="0" cellpadding="0">
	    <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
            </table>
<!-- END SUBMENU -->
			</td>
          </tr>
        </table></td>
        <td width="32" valign="top" background="images/xsk_19.jpg"><img src="images/xsk_08.jpg" width="30" height="215" alt="" /></td>
        <td width="100%" height="100%" valign="top"  style="background-image: url(images/xsk_10.jpg);
	background-repeat: repeat-x;
	background-position: top;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td align="left" valign="top" style="background-image: url(images/xsk_12.jpg);
	background-repeat: no-repeat;
	background-position: right top; padding-top: 40px;">
	<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/xsk_15.jpg" width="25" height="23" alt="" /></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%"><tr><td name="SB_stretch" class="pageContent" width="100%" valign="top"><xsl:apply-templates select="PAGE-CONTENT"/></td></tr></table>
			<!-- END CONTENT -->	</td>
          </tr>
        </table></td>
      <td width="333" valign="top" background="images/xsk_27.jpg"><img src="images/xsk_13.jpg" width="81" height="215" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="296"><img src="images/xsk_54.jpg" width="296" height="63" alt="" /></td>
        <td width="30"><img src="images/xsk_55.jpg" width="30" height="63" alt="" /></td>
        <td width="100%" background="images/xsk_56.jpg"></td>
        <td width="81"><img src="images/xsk_57.jpg" width="81" height="63" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="78" align="center" background="images/xsk_58.jpg" style="padding-right: 40px; padding-left: 40px;">
<!-- END BOOTTOM MENU -->
	<table border="0" cellspacing="0" cellpadding="0">
      <tr>
	  <xsl:call-template name="BOTTOM-MENU"/>
      </tr>
    </table>
<!-- END BOOTTOM MENU -->
<div style="width:0px; height:10px;"><span></span></div>
	<!-- FOOTER -->
<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
	<!-- END FOOTER -->
	</td>
  </tr>
</table>
</body>

	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
 <tr>
                <td>
				<table width="170" border="0" cellspacing="0" cellpadding="0">
					  <tr>
						<td width="10"><img src="images/xsk_37.jpg" width="6" height="4" alt="" /></td>
						<td width="153" background="images/xsk_38.jpg"></td>
						<td width="10"><img src="images/xsk_40.jpg" width="7" height="4" alt="" /></td>
					  </tr>
					  <tr>
							<td background="images/xsk_45.jpg"></td>
							<td align="center" background="images/xsk_45.jpg">
									<table width="150" border="0" cellspacing="0" cellpadding="0">
									  <tr>
										<td width="125" class="asubmenu" height="35"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
										<td width="25"><img src="images/sub.gif" width="20" height="7" /></td>
									  </tr>
									</table>
							</td>
							<td background="images/xsk_45.jpg"></td>
					  </tr>
					  <tr>
						<td height="4" align="left" valign="bottom"><img src="images/xsk_48.jpg" width="6" height="4" alt="" /></td>
						<td background="images/xsk_49.jpg"></td>
						<td align="center" valign="bottom"><img src="images/xsk_50.jpg" width="7" height="4" alt="" /></td>
					  </tr>
                </table>
				</td>
                </tr>

		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
 <tr align="center">
						<td width="170">
							<table width="150" border="0" cellspacing="0" cellpadding="0">
							  <tr>
								<td width="125" height="35"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
								<td width="25"><img src="images/sub.gif" width="20" height="7" /></td>
							  </tr>
							</table>
						</td>
					</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
      <tr>
         <td height="5" ><img src="images/xsk_30.jpg" width="170" height="1" alt="" /></td>
      </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
        <td><div align="center"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
        <td ><div align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
     <td width="25" align="center"><img src="images/bm.gif" width="25" height="6" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
