<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" background="images/xww_48.jpg">
  <tr>
    <td valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="27"><img src="images/xww_01.jpg" width="27" height="189" alt="" /></td>
        <td width="166"><img src="images/xww_02.jpg" width="166" height="189" alt="" /></td>
        <td width="6"><img src="images/xww_03.jpg" width="6" height="189" alt="" /></td>
        <td width="100%" background="images/xww_05.jpg"><table width="100%" height="71"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="100%" style="background-image: url(images/xww_04.jpg);
	background-repeat: no-repeat;
	background-position: left;
	padding-left: 15px;">
<!-- END LOGO -->
	<table border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="57" rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
              </tr>
              <tr>
                <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
            </table>
<!-- END LOGO -->
			</td>
            <td width="356" align="right"><img src="images/header.jpg" width="356" height="189" alt="" /></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="14" background="images/xww_09.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="193" align="left" valign="top"><img src="images/xww_07.jpg" width="193" height="40" alt="" /></td>
        <td width="100%">
<!-- END MENU -->
		<table border="0" cellspacing="0" cellpadding="0">
          <tr>
		   <xsl:call-template name="TOP-MENU"/>
          </tr>
        </table>
<!-- END MENU -->
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="29" background="images/xww_15.jpg"></td>
  </tr>
  <tr>
    <td valign="top" width="100%" height="100%" ><table width="100%" height="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="27" valign="top"><img src="images/xww_19.jpg" width="27" height="190" alt="" /></td>
        <td width="166" valign="top"><table width="100" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><img src="images/xww_20.jpg" width="166" height="29" alt="" /></td>
          </tr>
          <tr>
            <td valign="top" background="images/xww_44.jpg"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td align="center" valign="top" style="background-image: url(images/xww_29.jpg);
	background-repeat: repeat-x;
	background-position: top;">
<!-- END SUBMENU -->
	<table width="140" border="0" cellspacing="0" cellpadding="0">
	  <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
    </table>
<!-- END SUBMENU -->
				</td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td><img src="images/xww_46.jpg" width="166" height="8" alt="" /></td>
          </tr>
        </table></td>
        <td width="100%" height="100%" valign="top"><table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" background="images/xww_54.jpg">
          <tr>
            <td width="6" height="60" valign="top" background="images/xww_40.jpg"><img src="images/xww_21.jpg" width="6" height="60" alt="" /></td>
            <td width="7" valign="top" style="background-image: url(images/xww_22.jpg);
	background-repeat: repeat-x;
	background-position: top;"><img src="images/spacer.gif" width="7" height="10" alt="" /></td>
            <td width="100%" height="100%" valign="top" style="background-image: url(images/xww_24.jpg);
	background-repeat: repeat-x;
	background-position: center top; padding: 25px;">
	<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td style="padding-right: 7px;"><img src="images/xww_33.jpg" width="10" height="11" alt="" /></td>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%"><tr><td width="100%" height="100%" valign="top" name="SB_stretch" class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/></td></tr></table>
			<!-- END CONTENT -->
	
	</td>
            <td width="13" valign="top" style="background-image: url(images/xww_27.jpg);
	background-repeat: repeat-x;
	background-position: top;"><img src="images/spacer.gif" width="13" height="10" alt="" /></td>
          </tr>
          <tr>
            <td width="7" height="9" valign="top" background="images/xww_40.jpg"></td>
            <td width="7" align="left" valign="bottom"><img src="images/xww_59.jpg" width="7" height="9" alt="" /></td>
            <td width="100%" height="9" valign="top"></td>
            <td width="14" align="right" valign="bottom"><img src="images/xww_60.jpg" width="13" height="9" alt="" /></td>
          </tr>
		  
        </table>
		  </td>
        <td width="31" valign="top"><img src="images/xww_28.jpg" width="31" height="213" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="60"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="20%"><img src="images/spacer.gif" width="200" height="10" /></td>
        <td width="100%">
<!-- END BOOTTOM MENU -->
		<table border="0" cellspacing="0" cellpadding="0">
          <tr>
		  <xsl:call-template name="BOTTOM-MENU"/>
          </tr>
        </table>
<!-- END BOOTTOM MENU -->
		</td>
      </tr>
    </table></td>
  </tr>
</table>

	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
                  <tr>
                    <td width="125" class="asubmenu" align="center"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                    <td width="15"><img src="images/sub.gif" width="8" height="11" /></td>
                  </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
                  <tr>
                    <td width="125" align="center"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                    <td width="15"><img src="images/sub.gif" width="8" height="11" /></td>
                  </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
          <tr>
             <td height="15" colspan="2"><img src="images/xww_37.jpg" width="139" height="1" alt="" /></td>
          </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
	       <td width="40" align="center"><img src="images/xww_64.jpg" width="1" height="30" alt="" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
